Brian Silverman | 8649792 | 2018-02-10 19:28:39 -0500 | [diff] [blame] | 1 | # Makefile for PO directory in any package using GNU gettext. |
| 2 | # Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <drepper@gnu.ai.mit.edu> |
| 3 | # |
| 4 | # This file can be copied and used freely without restrictions. It can |
| 5 | # be used in projects which are not available under the GNU General Public |
| 6 | # License but which still want to provide support for the GNU gettext |
| 7 | # functionality. |
| 8 | # Please note that the actual code of GNU gettext is covered by the GNU |
| 9 | # General Public License and is *not* in the public domain. |
| 10 | # |
| 11 | # Origin: gettext-0.18.2 |
| 12 | GETTEXT_MACRO_VERSION = 0.18 |
| 13 | |
| 14 | PACKAGE = @PACKAGE@ |
| 15 | VERSION = @VERSION@ |
| 16 | PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ |
| 17 | |
| 18 | SHELL = /bin/sh |
| 19 | @SET_MAKE@ |
| 20 | |
| 21 | srcdir = @srcdir@ |
| 22 | top_srcdir = @top_srcdir@ |
| 23 | VPATH = @srcdir@ |
| 24 | |
| 25 | prefix = @prefix@ |
| 26 | exec_prefix = @exec_prefix@ |
| 27 | datarootdir = @datarootdir@ |
| 28 | datadir = @datadir@ |
| 29 | localedir = @localedir@ |
| 30 | gettextsrcdir = $(datadir)/gettext/po |
| 31 | |
| 32 | INSTALL = @INSTALL@ |
| 33 | INSTALL_DATA = @INSTALL_DATA@ |
| 34 | |
| 35 | # We use $(mkdir_p). |
| 36 | # In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as |
| 37 | # "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions, |
| 38 | # @install_sh@ does not start with $(SHELL), so we add it. |
| 39 | # In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined |
| 40 | # either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake |
| 41 | # versions, $(mkinstalldirs) and $(install_sh) are unused. |
| 42 | mkinstalldirs = $(SHELL) @install_sh@ -d |
| 43 | install_sh = $(SHELL) @install_sh@ |
| 44 | MKDIR_P = @MKDIR_P@ |
| 45 | mkdir_p = @mkdir_p@ |
| 46 | |
| 47 | GMSGFMT_ = @GMSGFMT@ |
| 48 | GMSGFMT_no = @GMSGFMT@ |
| 49 | GMSGFMT_yes = @GMSGFMT_015@ |
| 50 | GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT)) |
| 51 | MSGFMT_ = @MSGFMT@ |
| 52 | MSGFMT_no = @MSGFMT@ |
| 53 | MSGFMT_yes = @MSGFMT_015@ |
| 54 | MSGFMT = $(MSGFMT_$(USE_MSGCTXT)) |
| 55 | XGETTEXT_ = @XGETTEXT@ |
| 56 | XGETTEXT_no = @XGETTEXT@ |
| 57 | XGETTEXT_yes = @XGETTEXT_015@ |
| 58 | XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT)) |
| 59 | MSGMERGE = msgmerge |
| 60 | MSGMERGE_UPDATE = @MSGMERGE@ --update |
| 61 | MSGINIT = msginit |
| 62 | MSGCONV = msgconv |
| 63 | MSGFILTER = msgfilter |
| 64 | |
| 65 | POFILES = @POFILES@ |
| 66 | GMOFILES = @GMOFILES@ |
| 67 | UPDATEPOFILES = @UPDATEPOFILES@ |
| 68 | DUMMYPOFILES = @DUMMYPOFILES@ |
| 69 | DISTFILES.common = Makefile.in.in remove-potcdate.sin \ |
| 70 | $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3) |
| 71 | DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \ |
| 72 | $(POFILES) $(GMOFILES) \ |
| 73 | $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3) |
| 74 | |
| 75 | POTFILES = \ |
| 76 | |
| 77 | CATALOGS = @CATALOGS@ |
| 78 | |
| 79 | # Makevars gets inserted here. (Don't remove this line!) |
| 80 | |
| 81 | .SUFFIXES: |
| 82 | .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update |
| 83 | |
| 84 | .po.mo: |
| 85 | @echo "$(MSGFMT) -c -o $@ $<"; \ |
| 86 | $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@ |
| 87 | |
| 88 | .po.gmo: |
| 89 | @lang=`echo $* | sed -e 's,.*/,,'`; \ |
| 90 | test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \ |
| 91 | echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \ |
| 92 | cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo |
| 93 | |
| 94 | .sin.sed: |
| 95 | sed -e '/^#/d' $< > t-$@ |
| 96 | mv t-$@ $@ |
| 97 | |
| 98 | |
| 99 | all: all-@USE_NLS@ |
| 100 | |
| 101 | all-yes: stamp-po |
| 102 | all-no: |
| 103 | |
| 104 | # Ensure that the gettext macros and this Makefile.in.in are in sync. |
| 105 | CHECK_MACRO_VERSION = \ |
| 106 | test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \ |
| 107 | || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \ |
| 108 | exit 1; \ |
| 109 | } |
| 110 | |
| 111 | # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no |
| 112 | # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because |
| 113 | # we don't want to bother translators with empty POT files). We assume that |
| 114 | # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty. |
| 115 | # In this case, stamp-po is a nop (i.e. a phony target). |
| 116 | |
| 117 | # stamp-po is a timestamp denoting the last time at which the CATALOGS have |
| 118 | # been loosely updated. Its purpose is that when a developer or translator |
| 119 | # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS, |
| 120 | # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent |
| 121 | # invocations of "make" will do nothing. This timestamp would not be necessary |
| 122 | # if updating the $(CATALOGS) would always touch them; however, the rule for |
| 123 | # $(POFILES) has been designed to not touch files that don't need to be |
| 124 | # changed. |
| 125 | stamp-po: $(srcdir)/$(DOMAIN).pot |
| 126 | @$(CHECK_MACRO_VERSION) |
| 127 | test ! -f $(srcdir)/$(DOMAIN).pot || \ |
| 128 | test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES) |
| 129 | @test ! -f $(srcdir)/$(DOMAIN).pot || { \ |
| 130 | echo "touch stamp-po" && \ |
| 131 | echo timestamp > stamp-poT && \ |
| 132 | mv stamp-poT stamp-po; \ |
| 133 | } |
| 134 | |
| 135 | # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update', |
| 136 | # otherwise packages like GCC can not be built if only parts of the source |
| 137 | # have been downloaded. |
| 138 | |
| 139 | # This target rebuilds $(DOMAIN).pot; it is an expensive operation. |
| 140 | # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed. |
| 141 | # The determination of whether the package xyz is a GNU one is based on the |
| 142 | # heuristic whether some file in the top level directory mentions "GNU xyz". |
| 143 | # If GNU 'find' is available, we avoid grepping through monster files. |
| 144 | $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed |
| 145 | if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \ |
| 146 | LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f -size -10000000c -exec grep 'GNU @PACKAGE@' /dev/null '{}' ';' 2>/dev/null; \ |
| 147 | else \ |
| 148 | LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \ |
| 149 | fi; \ |
| 150 | } | grep -v 'libtool:' >/dev/null; then \ |
| 151 | package_gnu='GNU '; \ |
| 152 | else \ |
| 153 | package_gnu=''; \ |
| 154 | fi; \ |
| 155 | if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \ |
| 156 | msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \ |
| 157 | else \ |
| 158 | msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \ |
| 159 | fi; \ |
| 160 | case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \ |
| 161 | '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \ |
| 162 | $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \ |
| 163 | --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \ |
| 164 | --files-from=$(srcdir)/POTFILES.in \ |
| 165 | --copyright-holder='$(COPYRIGHT_HOLDER)' \ |
| 166 | --msgid-bugs-address="$$msgid_bugs_address" \ |
| 167 | ;; \ |
| 168 | *) \ |
| 169 | $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \ |
| 170 | --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \ |
| 171 | --files-from=$(srcdir)/POTFILES.in \ |
| 172 | --copyright-holder='$(COPYRIGHT_HOLDER)' \ |
| 173 | --package-name="$${package_gnu}@PACKAGE@" \ |
| 174 | --package-version='@VERSION@' \ |
| 175 | --msgid-bugs-address="$$msgid_bugs_address" \ |
| 176 | ;; \ |
| 177 | esac |
| 178 | test ! -f $(DOMAIN).po || { \ |
| 179 | if test -f $(srcdir)/$(DOMAIN).pot; then \ |
| 180 | sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \ |
| 181 | sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \ |
| 182 | if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \ |
| 183 | rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \ |
| 184 | else \ |
| 185 | rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \ |
| 186 | mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \ |
| 187 | fi; \ |
| 188 | else \ |
| 189 | mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \ |
| 190 | fi; \ |
| 191 | } |
| 192 | |
| 193 | # This rule has no dependencies: we don't need to update $(DOMAIN).pot at |
| 194 | # every "make" invocation, only create it when it is missing. |
| 195 | # Only "make $(DOMAIN).pot-update" or "make dist" will force an update. |
| 196 | $(srcdir)/$(DOMAIN).pot: |
| 197 | $(MAKE) $(DOMAIN).pot-update |
| 198 | |
| 199 | # This target rebuilds a PO file if $(DOMAIN).pot has changed. |
| 200 | # Note that a PO file is not touched if it doesn't need to be changed. |
| 201 | $(POFILES): $(srcdir)/$(DOMAIN).pot |
| 202 | @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \ |
| 203 | if test -f "$(srcdir)/$${lang}.po"; then \ |
| 204 | test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \ |
| 205 | echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \ |
| 206 | cd $(srcdir) \ |
| 207 | && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \ |
| 208 | '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \ |
| 209 | $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \ |
| 210 | *) \ |
| 211 | $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \ |
| 212 | esac; \ |
| 213 | }; \ |
| 214 | else \ |
| 215 | $(MAKE) $${lang}.po-create; \ |
| 216 | fi |
| 217 | |
| 218 | |
| 219 | install: install-exec install-data |
| 220 | install-exec: |
| 221 | install-data: install-data-@USE_NLS@ |
| 222 | if test "$(PACKAGE)" = "gettext-tools"; then \ |
| 223 | $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \ |
| 224 | for file in $(DISTFILES.common) Makevars.template; do \ |
| 225 | $(INSTALL_DATA) $(srcdir)/$$file \ |
| 226 | $(DESTDIR)$(gettextsrcdir)/$$file; \ |
| 227 | done; \ |
| 228 | for file in Makevars; do \ |
| 229 | rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \ |
| 230 | done; \ |
| 231 | else \ |
| 232 | : ; \ |
| 233 | fi |
| 234 | install-data-no: all |
| 235 | install-data-yes: all |
| 236 | @catalogs='$(CATALOGS)'; \ |
| 237 | for cat in $$catalogs; do \ |
| 238 | cat=`basename $$cat`; \ |
| 239 | lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \ |
| 240 | dir=$(localedir)/$$lang/LC_MESSAGES; \ |
| 241 | $(mkdir_p) $(DESTDIR)$$dir; \ |
| 242 | if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \ |
| 243 | $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \ |
| 244 | echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \ |
| 245 | for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \ |
| 246 | if test -n "$$lc"; then \ |
| 247 | if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \ |
| 248 | link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \ |
| 249 | mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \ |
| 250 | mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \ |
| 251 | (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \ |
| 252 | for file in *; do \ |
| 253 | if test -f $$file; then \ |
| 254 | ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \ |
| 255 | fi; \ |
| 256 | done); \ |
| 257 | rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \ |
| 258 | else \ |
| 259 | if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \ |
| 260 | :; \ |
| 261 | else \ |
| 262 | rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \ |
| 263 | mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \ |
| 264 | fi; \ |
| 265 | fi; \ |
| 266 | rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \ |
| 267 | ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \ |
| 268 | ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \ |
| 269 | cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \ |
| 270 | echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \ |
| 271 | fi; \ |
| 272 | done; \ |
| 273 | done |
| 274 | |
| 275 | install-strip: install |
| 276 | |
| 277 | installdirs: installdirs-exec installdirs-data |
| 278 | installdirs-exec: |
| 279 | installdirs-data: installdirs-data-@USE_NLS@ |
| 280 | if test "$(PACKAGE)" = "gettext-tools"; then \ |
| 281 | $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \ |
| 282 | else \ |
| 283 | : ; \ |
| 284 | fi |
| 285 | installdirs-data-no: |
| 286 | installdirs-data-yes: |
| 287 | @catalogs='$(CATALOGS)'; \ |
| 288 | for cat in $$catalogs; do \ |
| 289 | cat=`basename $$cat`; \ |
| 290 | lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \ |
| 291 | dir=$(localedir)/$$lang/LC_MESSAGES; \ |
| 292 | $(mkdir_p) $(DESTDIR)$$dir; \ |
| 293 | for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \ |
| 294 | if test -n "$$lc"; then \ |
| 295 | if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \ |
| 296 | link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \ |
| 297 | mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \ |
| 298 | mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \ |
| 299 | (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \ |
| 300 | for file in *; do \ |
| 301 | if test -f $$file; then \ |
| 302 | ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \ |
| 303 | fi; \ |
| 304 | done); \ |
| 305 | rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \ |
| 306 | else \ |
| 307 | if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \ |
| 308 | :; \ |
| 309 | else \ |
| 310 | rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \ |
| 311 | mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \ |
| 312 | fi; \ |
| 313 | fi; \ |
| 314 | fi; \ |
| 315 | done; \ |
| 316 | done |
| 317 | |
| 318 | # Define this as empty until I found a useful application. |
| 319 | installcheck: |
| 320 | |
| 321 | uninstall: uninstall-exec uninstall-data |
| 322 | uninstall-exec: |
| 323 | uninstall-data: uninstall-data-@USE_NLS@ |
| 324 | if test "$(PACKAGE)" = "gettext-tools"; then \ |
| 325 | for file in $(DISTFILES.common) Makevars.template; do \ |
| 326 | rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \ |
| 327 | done; \ |
| 328 | else \ |
| 329 | : ; \ |
| 330 | fi |
| 331 | uninstall-data-no: |
| 332 | uninstall-data-yes: |
| 333 | catalogs='$(CATALOGS)'; \ |
| 334 | for cat in $$catalogs; do \ |
| 335 | cat=`basename $$cat`; \ |
| 336 | lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \ |
| 337 | for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \ |
| 338 | rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \ |
| 339 | done; \ |
| 340 | done |
| 341 | |
| 342 | check: all |
| 343 | |
| 344 | info dvi ps pdf html tags TAGS ctags CTAGS ID: |
| 345 | |
| 346 | mostlyclean: |
| 347 | rm -f remove-potcdate.sed |
| 348 | rm -f stamp-poT |
| 349 | rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po |
| 350 | rm -fr *.o |
| 351 | |
| 352 | clean: mostlyclean |
| 353 | |
| 354 | distclean: clean |
| 355 | rm -f Makefile Makefile.in POTFILES *.mo |
| 356 | |
| 357 | maintainer-clean: distclean |
| 358 | @echo "This command is intended for maintainers to use;" |
| 359 | @echo "it deletes files that may require special tools to rebuild." |
| 360 | rm -f stamp-po $(GMOFILES) |
| 361 | |
| 362 | distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir) |
| 363 | dist distdir: |
| 364 | $(MAKE) update-po |
| 365 | @$(MAKE) dist2 |
| 366 | # This is a separate target because 'update-po' must be executed before. |
| 367 | dist2: stamp-po $(DISTFILES) |
| 368 | dists="$(DISTFILES)"; \ |
| 369 | if test "$(PACKAGE)" = "gettext-tools"; then \ |
| 370 | dists="$$dists Makevars.template"; \ |
| 371 | fi; \ |
| 372 | if test -f $(srcdir)/$(DOMAIN).pot; then \ |
| 373 | dists="$$dists $(DOMAIN).pot stamp-po"; \ |
| 374 | fi; \ |
| 375 | if test -f $(srcdir)/ChangeLog; then \ |
| 376 | dists="$$dists ChangeLog"; \ |
| 377 | fi; \ |
| 378 | for i in 0 1 2 3 4 5 6 7 8 9; do \ |
| 379 | if test -f $(srcdir)/ChangeLog.$$i; then \ |
| 380 | dists="$$dists ChangeLog.$$i"; \ |
| 381 | fi; \ |
| 382 | done; \ |
| 383 | if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \ |
| 384 | for file in $$dists; do \ |
| 385 | if test -f $$file; then \ |
| 386 | cp -p $$file $(distdir) || exit 1; \ |
| 387 | else \ |
| 388 | cp -p $(srcdir)/$$file $(distdir) || exit 1; \ |
| 389 | fi; \ |
| 390 | done |
| 391 | |
| 392 | update-po: Makefile |
| 393 | $(MAKE) $(DOMAIN).pot-update |
| 394 | test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES) |
| 395 | $(MAKE) update-gmo |
| 396 | |
| 397 | # General rule for creating PO files. |
| 398 | |
| 399 | .nop.po-create: |
| 400 | @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \ |
| 401 | echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \ |
| 402 | exit 1 |
| 403 | |
| 404 | # General rule for updating PO files. |
| 405 | |
| 406 | .nop.po-update: |
| 407 | @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \ |
| 408 | if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \ |
| 409 | tmpdir=`pwd`; \ |
| 410 | echo "$$lang:"; \ |
| 411 | test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \ |
| 412 | echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \ |
| 413 | cd $(srcdir); \ |
| 414 | if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \ |
| 415 | '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \ |
| 416 | $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \ |
| 417 | *) \ |
| 418 | $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \ |
| 419 | esac; \ |
| 420 | }; then \ |
| 421 | if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \ |
| 422 | rm -f $$tmpdir/$$lang.new.po; \ |
| 423 | else \ |
| 424 | if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \ |
| 425 | :; \ |
| 426 | else \ |
| 427 | echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \ |
| 428 | exit 1; \ |
| 429 | fi; \ |
| 430 | fi; \ |
| 431 | else \ |
| 432 | echo "msgmerge for $$lang.po failed!" 1>&2; \ |
| 433 | rm -f $$tmpdir/$$lang.new.po; \ |
| 434 | fi |
| 435 | |
| 436 | $(DUMMYPOFILES): |
| 437 | |
| 438 | update-gmo: Makefile $(GMOFILES) |
| 439 | @: |
| 440 | |
| 441 | # Recreate Makefile by invoking config.status. Explicitly invoke the shell, |
| 442 | # because execution permission bits may not work on the current file system. |
| 443 | # Use @SHELL@, which is the shell determined by autoconf for the use by its |
| 444 | # scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient. |
| 445 | Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@ |
| 446 | cd $(top_builddir) \ |
| 447 | && @SHELL@ ./config.status $(subdir)/$@.in po-directories |
| 448 | |
| 449 | force: |
| 450 | |
| 451 | # Tell versions [3.59,3.63) of GNU make not to export all variables. |
| 452 | # Otherwise a system limit (for SysV at least) may be exceeded. |
| 453 | .NOEXPORT: |